@font-face {
  font-family: "Regular";
  src: url("../fonts/Lato-Regular.ttf");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Medium";
  src: url("../fonts/Lato-Medium.ttf");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "SemiBold";
  src: url("../fonts/Lato-SemiBold.ttf");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Bold";
  src: url("../fonts/Lato-Bold.ttf");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Black";
  src: url("../fonts/Lato-Black.ttf");
  font-weight: normal;
  font-style: normal;
}

.minh-100vh {
  min-height: 100vh !important;
}

.invalid-form,
.invalid-image {
  border: 1px solid #ff0000;
}

.bg-filtrando {
  /* background-color: rgba(28, 200, 138, .4); */
  /* background-color: #FFF; */
  background-image: linear-gradient(180deg, #d5c06b2b 10%, #d5c06b3b 100%);
  background-size: cover;
}

.nav-tabs {
  border-bottom: 0px;
}

.sidebar.toggled .nav-item.active .nav-link span{
  font-family: "Black" !important;
}

.sidebar.toggled .nav-item .nav-link span{
  font-family: "Regular" !important;
}

/* Login */
.bg-login-image {
  background-image: url('/img/img_restrito.png');
  opacity: 0.9;
}
.bg-password-image {
  background-image: url('/img/img_restrito.png');
  opacity: 0.9;
}

.footer-login p {
  color: #d6d6d6;
  font-size: small;
}
.footer-login img {
  height: 23px;
}

.center {
  text-align: center;
}

.stepper {
  padding: 8px;
  cursor: pointer;
  border: 1px solid #E5E5E5;
  color: #8E8E8E;
  border-radius: 4px;
  margin-right: 4px;
  margin-left: 4px;
  font-size: 18px;
}

.stepper-active {
  background-color: #BFBFBF;
  color: #fff;
  border: 1px solid #BFBFBF;
  border-radius: 4px;
  padding: 8px;
  font-size: 18px;
}

.stepper:hover {
  background-color: #BFBFBF;
  color: #FFFFFF;
}

.checkbox {
  display: flex;
  align-items: center;
}

.checkbox input[type=checkbox] {
  width: 40px !important;
}

.border-left-dashboard{
  border-left: .25rem solid #d5c06b !important
}

.text-yellow{
  color: #d5c06b !important;
}

.text-gray{
  color: rgb(195 195 195) !important
}

.bg-yellow{
  background-color: #d5c06b !important;
}

.bg-black{
  background-color: rgb(54 54 54) !important;
}

#logo, img#banner {
  border-radius: 8px;
  width: auto;
  height: 80px;
  margin-left: 5px;
  object-fit: cover;
  background-color: #e8e8e8;
}

.margin-icon-add{
  margin-left: 5px;
  margin-right: 5px;
}

.margin-icon-filter{
  margin-right: 5px;
}

.btn-ver{
  width: 66px !important;
  font-family: 'Regular';
}

i {
  color: inherit !important;
}

.table>thead:first-child>tr:first-child>td{
  color: #000000;
  font-family: 'Medium' !important;
}

/* #lista-permissoes>thead:first-child>tr:first-child>td{
  color: #858796a6 !important;
} */

#lista-permissoes td, #lista-permissoes th{
  color: #858796e3 !important;
}

.font-regular{
  font-family: "Regular" !important;
}

.font-medium{
  font-family: "Medium" !important;
}

.font-semi-bold{
  font-family: "SemiBold" !important;
}

.font-bold{
  font-family: "Bold" !important;
}

.font-black{
  font-family: "Black" !important;
}

label{
  font-family: 'Regular';
}

.switch {
  position: relative;
  display: inline-block;
  width: 55px;
  height: 27px;
  margin-right: 5px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #de1717b9;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #17ac17c0;
}

input:focus + .slider {
  box-shadow: 0 0 1px #17ac17c0;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.produto {
  list-style-type: none;
}

.foto_loja{
  width: 45% !important;
  height: 167px !important;
  object-fit: cover !important;
  border-radius: 5px !important;
}

.switch-modalidades{
  width: 47px !important;
  height: 20px !important;
}

.slider-modalidades.round-modalidades:before{
  width: 13px !important;
  height: 13px !important;
}

.div-categorias{
  display: flex !important;
  flex-wrap: wrap !important;
}

.logo_categoriaa{
  border-radius: 13px;
  width: 90px;
  height: 90px;
  margin-left: 5px;
  object-fit: cover;
  background-color: #e8e8e8;
}

.nav-link img {
  height: 20px;
  width: 20px;
  margin-bottom: 7px;
}

.nav-link .icone-menu {
  height: 24px !important;
  width: 24px !important;
}

.nav-link .cupom {
  height: 34px !important;
  width: 33px !important;
}

.nav-link .segmento_cupom {
  width: 45px !important;
  height: 42px !important;
}

.bootstrap-select>.dropdown-toggle.bs-placeholder, .bootstrap-select>.dropdown-toggle.bs-placeholder:active, .bootstrap-select>.dropdown-toggle.bs-placeholder:focus, .bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
  color: #3a3b45d3 !important;
  background-color: #FFFFFF !important;
}

.select-disabled {
  /* background-color: rgb(234 236 244 / 38%) !important; */
  border: 1px solid #d1d3e2 !important;
}

.bootstrap-select .bs-searchbox input {
  padding-left: 30px;
  background-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--!Font Awesome Free 6.7.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2025 Fonticons, Inc.--><path d="M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6 .1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z"/></svg>');
  background-repeat: no-repeat;
  background-position: 8px center;
  background-size: 16px;
}


.not-disabled {
  background-color: rgb(255 0 0 / 100%) !important;
}

#caixa-loading {
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1050;
  width: 100%;
  height: 100%;
  outline: 0;
  align-items: center;
  justify-content: center;
}

#caixa-loading .loader {
  border: 16px solid #f3f3f3; 
  border-top: 16px solid #3a3b45d3;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.disabled {
  background-color: rgb(234 236 244 / 38%);
  opacity: 1;
  pointer-events: none;
  cursor: not-allowed;
}

.btn-deletar-cardapio {
  background-color: #de1717b9 !important;
  border: 1px solid #de1717b9 !important;
}

.btn-deletar-cardapio:hover {
  background-color: #de1717 !important;
  border: 1px solid #de1717 !important;
}

.bootstrap-select>.dropdown-toggle {
  border: 1px solid #d1d3e2 !important;
}

.modal-ordenacao{
  padding: 1.5rem;
}

.modal-ordenacao .modal-ordenacao-item{
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    background: #1b1b1b;
    margin-bottom: 0.5rem;
    color: #fff;
    border-radius: 0.5rem;
}

.modal-ordenacao .modal-ordenacao-item:hover{
  background-color: #3A3A3A;
}

.modal-ordenacao .modal-ordenacao-item p{
  margin-bottom: 0;
}

.modal-ordenacao .modal-ordenacao-item .fas{
  color: #808080!important;
}

.modal-ordenacao h2{
  font-size: 1.25rem;
  text-align: left;
  color: #ffffff;
  margin-bottom: 1rem;
  background-color: #1b1b1b;
  padding: 3rem;
  text-align: center;
  border-radius: 0.5rem;
  box-shadow: 0px 6px 6px 0px #00000070;
  width: 100%;
}

.modal-ordenacao .button-save{
    outline: none;
    border: none;
    color: #fff;
    background-color: #1b1b1b;
    border-radius: 0.3rem;
    padding: 0.5rem 1rem;
}

#modalOrder .modal-content{
  border-radius: 1rem;
  border: none;
  background: #f5f5f5;
}

.overflow::-webkit-scrollbar {
  height: 0px !important;
  background-color: #eaecf4 !important;
  border-radius: 4px;
}

.overflow:hover::-webkit-scrollbar {
  height: 8px !important;
}

.overflow::-webkit-scrollbar-track {
  background: transparent !important; 
}

.overflow::-webkit-scrollbar-thumb {
  background-color: #d5c06b !important;
  border-radius: 4px;
  
}

.overflow:hover{
  background-color: #d5c06b10 !important;
}

.container-btn-file {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  background-color: #307750;
  color: #fff;
  border-style: none;
  padding: 1em 2em;
  border-radius: 0.5em;
  overflow: hidden;
  z-index: 1;
  box-shadow: 4px 8px 10px -3px rgba(0, 0, 0, 0.356);
  transition: all 250ms;
}
.container-btn-file input[type="button"] {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
}
.container-btn-file > svg {
  margin-right: 1em;
  text-decoration: none;
}
.container-btn-file::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 0;
  border-radius: 0.5em;
  background-color: #469b61;
  z-index: -1;
  transition: all 350ms;
}
.container-btn-file:hover::before {
  width: 100%;
}

.export-csv {
  text-decoration: none!important;
}